#include "basic_tree.h"

struct node *insert(struct node *root, int value);

void delete_leaf(struct node *root, int value);

struct node *delete_node(struct node *root, int value);

void pretty_print(struct node *root);